Package org.springframework.core.task

# Class TaskTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.concurrent.RejectedExecutionException
org.springframework.core.task.TaskRejectedException
org.springframework.core.task.TaskTimeoutException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class TaskTimeoutException extends TaskRejectedException
Deprecated.
as of 5.3.16 since the common executors do not support start timeouts
Exception thrown when a `AsyncTaskExecutor` rejects to accept a given task for execution because of the specified timeout.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  - `AsyncTaskExecutor.execute(Runnable, long)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TaskTimeoutException(String msg)`
Deprecated.
Create a new `TaskTimeoutException` with the specified detail message and no root cause.
`TaskTimeoutException(String msg, Throwable cause)`
Deprecated.
Create a new `TaskTimeoutException` with the specified detail message and the given root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskTimeoutException

public TaskTimeoutException(String msg)
Deprecated.
Create a new `TaskTimeoutException` with the specified detail message and no root cause.

Parameters:
  `msg` - the detail message

### TaskTimeoutException

public TaskTimeoutException(String msg, Throwable cause)
Deprecated.
Create a new `TaskTimeoutException` with the specified detail message and the given root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually from using an underlying API such as the `java.util.concurrent` package)
See Also:
  - `RejectedExecutionException`